[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'eventlog' (#fcl)

# TEventLog.AppendContent

Control whether output is appended to an existing file

## Declaration

Source position: eventlog.pp line 91

`published property TEventLog.AppendContent : Boolean read fAppendContent write fAppendContent;`

## Description

AppendContent determines what is done when the log type is ltFile and a log file already exists. If the log file already exists, then the default behaviour (AppendContent=False) is to re-create the log file when the log is activated. If AppendContent is True then output will be appended to the existing file.

## See also

LogType |  | Log type
FileName |  | File name for log file

Documentation generated on: Feb 26 2014